Skip to main content

Update Lease: Rent Manager

PUThttps://api.propexo.com/v1/leases/rentmanager/:lease_id
Method
POST /Leases

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    property_idstring

    The Propexo unique identifier for the property

    scheduled_move_out_datestring<date-time>

    The scheduled move-out date associated with the lease

    realized_move_in_datestring<date-time>

    The move-in date associated with the lease

    realized_move_out_datestring<date-time>

    The move-out date associated with the lease

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    resident_idstringrequired

    The Propexo unique identifier for the resident

    unit_idstringrequired

    The Propexo unique identifier for the unit

    property_idstring

    The Propexo unique identifier for the property

    scheduled_move_out_datestring<date-time>

    The scheduled move-out date associated with the lease

    realized_move_in_datestring<date-time>

    The move-in date associated with the lease

    realized_move_out_datestring<date-time>

    The move-out date associated with the lease

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/rentmanager/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/rentmanager/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"resident_id": "string",
"unit_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"resident_id": "string",
"unit_id": "string",
"property_id": "string",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"realized_move_in_date": "2024-07-29T15:51:28.071Z",
"realized_move_out_date": "2024-07-29T15:51:28.071Z"
}
}